package de.tysox.bs_elmshorn;

import android.os.Bundle;
import android.os.Handler;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import java.util.Calendar;


/**
 * Created by Jan on 16.09.2017.
 */

public class Tab1 extends Fragment {

    public int currentWeek;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.tab1, container, false);

        Handler handler = new Handler();

        handler.postDelayed(new Runnable() {
            @Override
            public void run() {
                WebView webView= (WebView) MainActivity.getInstance().findViewById(R.id.timetable);
                webView.setWebViewClient(new WebViewClient());
                webView.getSettings().setJavaScriptEnabled(true);
                webView.setVerticalScrollBarEnabled(false);
                webView.setHorizontalScrollBarEnabled(false);
                Calendar calendar = Calendar.getInstance();

                currentWeek = calendar.get(Calendar.WEEK_OF_YEAR);

                webView.loadUrl("http://www.bs-elmshorn.de/Stundenplan/Schueler/"+currentWeek+"/c/c00018.htm");
                // s5 mini 119 opx 170
                webView.setInitialScale(119);
            }
        },100);


        return rootView;
    }
}
